package rocks.zipcode.quiz5.objectorientation.account;

/**
 * @author leon on 27/12/2018.
 */
public class BankAccount extends Account implements Transactable {

    private Double Balance = 0.0;

    public void setBalance(Double val) {
        Balance = val;
    }

    @Override
    public void deposit(Double amountToIncreaseBy) throws IllegalArgumentException {
        if (amountToIncreaseBy > 0){
            Balance = Balance + amountToIncreaseBy;
        }else {
            throw new IllegalArgumentException();
        }

        }



    @Override
    public void withdrawal(Double amountToDecreaseBy) throws IllegalArgumentException {
        if (amountToDecreaseBy > 0){
            Balance = getBalance() - amountToDecreaseBy;
        } else {
            throw new IllegalArgumentException();
        }


    }

    @Override
    public Double getBalance() {
        return this.Balance;
    }
}
